API Reference
Fetch a refund
GET
/refunds/{id}Query Parameters
idstringThe ID or reference of the refund.
Request
curl
curl https://gateway.pmnts-sandbox.io/v1.0/refunds/071-R-KATMZP3 -u TEST:TESTResponse
200Result
json
{
"successful": true,
"response": {
"authorization": "1441241970",
"id": "071-R-KATMZP3",
"amount": 349,
"refunded": "Approved",
"message": "Approved",
"card_holder": "Jim Smith",
"card_number": "512345XXXXXX2346",
"card_expiry": "2023-05-31",
"card_type": "MasterCard",
"transaction_id": "071-R-KATMZP3",
"reference": "18280",
"currency": "USD",
"successful": true,
"transaction_date": "2015-09-03T10:59:30+10:00",
"response_code": "00",
"settlement_date": "2015-09-04",
"metadata": {
},
"standalone": false,
"rrn": "071RKATMZP3"
},
"errors": [
],
"test": true
}404Result
json
{
"successful":false,
"response":{},
"errors":[
"Refund could not be found"
],
"test":true
}